clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
clang::tidy::ClangTidyStats Struct Reference

Contains displayed and ignored diagnostic counters for a ClangTidy run. More...

`#include <ClangTidyDiagnosticConsumer.h>`

Collaboration diagram for clang::tidy::ClangTidyStats:
[legend]

## Public Member Functions
| ClangTidyStats ()
unsigned | errorsIgnored () const

## Public Attributes
unsigned | ErrorsDisplayed
unsigned | ErrorsIgnoredCheckFilter
unsigned | ErrorsIgnoredNOLINT
unsigned | ErrorsIgnoredNonUserCode
unsigned | ErrorsIgnoredLineFilter

## Detailed Description

Contains displayed and ignored diagnostic counters for a ClangTidy run.

Definition at line 93 of file ClangTidyDiagnosticConsumer.h.

## Constructor & Destructor Documentation

clang::tidy::ClangTidyStats::ClangTidyStats | ( |  | ) |
| inline

Definition at line 94 of file ClangTidyDiagnosticConsumer.h.

## Member Function Documentation

unsigned clang::tidy::ClangTidyStats::errorsIgnored | ( |  | ) | const
| inline

Definition at line 104 of file ClangTidyDiagnosticConsumer.h.

References ErrorsIgnoredCheckFilter, ErrorsIgnoredLineFilter, ErrorsIgnoredNOLINT, and ErrorsIgnoredNonUserCode.

Referenced by clang::tidy::printStats().

## Member Data Documentation

unsigned clang::tidy::ClangTidyStats::ErrorsDisplayed

Definition at line 98 of file ClangTidyDiagnosticConsumer.h.

unsigned clang::tidy::ClangTidyStats::ErrorsIgnoredCheckFilter

Definition at line 99 of file ClangTidyDiagnosticConsumer.h.

Referenced by errorsIgnored(), and clang::tidy::printStats().

unsigned clang::tidy::ClangTidyStats::ErrorsIgnoredLineFilter

Definition at line 102 of file ClangTidyDiagnosticConsumer.h.

Referenced by errorsIgnored(), and clang::tidy::printStats().

unsigned clang::tidy::ClangTidyStats::ErrorsIgnoredNOLINT

Definition at line 100 of file ClangTidyDiagnosticConsumer.h.

Referenced by clang::tidy::ClangTidyContext::diag(), errorsIgnored(), and clang::tidy::printStats().

unsigned clang::tidy::ClangTidyStats::ErrorsIgnoredNonUserCode

Definition at line 101 of file ClangTidyDiagnosticConsumer.h.

Referenced by errorsIgnored(), and clang::tidy::printStats().

The documentation for this struct was generated from the following file:

- ClangTidyDiagnosticConsumer.h